"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const multiSidedActionInterpreters = {
    ["__NFTSALE__" /* Action.__NFTSALE__ */]: (interpretation) => {
        var _a, _b;
        const nativeValueSent = ((_a = interpretation.assetsSent.find((asset) => asset.type === "native" /* AssetType.native */)) === null || _a === void 0 ? void 0 : _a.amount) || '0';
        const nativeValueReceived = ((_b = interpretation.assetsReceived.find((asset) => asset.type === "native" /* AssetType.native */)) === null || _b === void 0 ? void 0 : _b.amount) || '0';
        if (parseFloat(nativeValueSent) !== 0 && interpretation.assetsReceived.length) {
            return "bought" /* Action.bought */;
        }
        else if (parseFloat(nativeValueReceived) !== 0 && interpretation.assetsSent.length) {
            return "sold" /* Action.sold */;
        }
        else {
            console.log(`ERROR! Invalid NFT sale: received ${nativeValueReceived} ETH and ${interpretation.assetsReceived.length} tokens, sent ${nativeValueSent} ETH and ${interpretation.assetsSent.length} tokens`);
            return "unknown" /* Action.unknown */;
        }
    },
};
exports.default = multiSidedActionInterpreters;
//# sourceMappingURL=MultiSidedActionInterpreters.js.map