"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isExecutionSuccessEvent(event) {
    return event.eventName === 'ExecutionSuccess';
}
function interpretGnosisExecution(decodedData, interpretation) {
    const { toAddress, interactions, fromAddress } = decodedData;
    const { userName, userAddress } = interpretation;
    const action = userAddress === fromAddress ? "executed" /* Action.executed */ : "was involved in" /* Action.involved */;
    const tokenContractInteraction = interactions.find((interaction) => interaction.contractAddress === toAddress);
    const tokenEvents = (tokenContractInteraction === null || tokenContractInteraction === void 0 ? void 0 : tokenContractInteraction.events) || [];
    const gnosisName = decodedData.toENS || (toAddress === null || toAddress === void 0 ? void 0 : toAddress.slice(0, 6));
    const isExecutionSuccess = tokenEvents.find((e) => isExecutionSuccessEvent(e));
    const exampleDescription = `${userName} ${action} a transaction on a Gnosis Safe (${gnosisName})`;
    interpretation.actions.push(action);
    interpretation.exampleDescription = exampleDescription;
    interpretation.extra = {};
}
exports.default = interpretGnosisExecution;
//# sourceMappingURL=gnosis.js.map