"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterpreterMapZ = void 0;
const zod_1 = require("zod");
const utils_1 = require("../interfaces/utils");
const KeywordMapZ = zod_1.z.object({
    key: utils_1.string,
    filters: (0, zod_1.record)(utils_1.string),
    defaultValue: utils_1.string,
    index: utils_1.number.optional(),
    decimals: utils_1.number.optional(),
});
const MethodMapZ = zod_1.z.object({
    action: utils_1.string,
    exampleDescriptionTemplate: utils_1.string,
    exampleDescription: utils_1.string,
    keywords: (0, zod_1.record)(KeywordMapZ),
});
exports.InterpreterMapZ = zod_1.z.object({
    contractAddress: utils_1.string,
    contractOfficialName: utils_1.string,
    contractName: utils_1.string,
    entityName: utils_1.string,
    writeFunctions: (0, zod_1.record)(MethodMapZ),
});
//# sourceMappingURL=contractInterpreter.js.map